@echo off
color B0
cls
echo.
set /p COM=Enter Comport number :
echo.
esptool.exe --chip esp32 --port COM%COM% --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 40m --flash_size detect 0xe000 boot.bin 0x1000 bootloader.bin 0x10000 firmware.bin 0x8000 partitions.bin 
echo.
echo.
echo.
echo Update finished.
echo.
echo Press any key to continue.
pause >NUL